> For the complete documentation index, see [llms.txt](https://docs.uptiq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uptiq.ai/uptiq-ai-workbench/document-ai/api-reference/doc-ai-extraction.md).

# Doc AI Extraction

Choose an extraction workflow and understand shared request rules.

Choose how to wait for extraction results:

* Use asynchronous extraction for long-running work and webhooks.
* Use bulk extraction for several documents in one request.
* Use synchronous extraction when the caller can wait for a response.

### Shared request rules

Send one document source: `content` as base64, or `file_url` as a reachable URL.

Send one document type selector: `documentType` for one type, or `documentTypes` for multi-extraction.

All extraction endpoints require `X-Api-Key`.

{% hint style="warning" %}
Properties can be optional in the schema while still required by a request rule.
{% endhint %}

See [Document Extraction](/uptiq-ai-workbench/document-ai/guides-1/document-extraction.md) for document types, models, chart-of-accounts mapping, and confidence.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uptiq.ai/uptiq-ai-workbench/document-ai/api-reference/doc-ai-extraction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
